<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : media.xsl
    Created on : 26. březen 2012, 11:04
    Author     : bar
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns="http://www.w3.org/1999/xhtml"
    version="1.0">
    <xsl:output method="xml" 
    doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" 
    doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" 
    encoding="utf-8"
    indent="yes"/>

    <!-- TODO customize transformation rules 
         syntax recommendation http://www.w3.org/TR/xslt 
    -->
    <xsl:template match="/">
        <html>
            <head>
                <link rel="stylesheet" type="text/css" href="media.css"/>
                <title>Seznam medii</title>
            </head>
            <body>
                <div id="obsah">
                <xsl:apply-templates mode="obsah"/>
                </div>
                <hr/>
                <h1>Seznam medii</h1>
                <div id="content">
                <xsl:apply-templates/>
                </div>
            </body>
        </html>
    </xsl:template>
    
    <xsl:template match="medium" mode="obsah">
        
        <xsl:element name="a">
            <xsl:attribute name="href">#medium<xsl:value-of select="@cislo"/></xsl:attribute>
            Medium <xsl:value-of select="@cislo"/>
        </xsl:element>
        
    </xsl:template>
    
    <xsl:template match="medium">
        <xsl:element name="a">
            <xsl:attribute name="name">medium<xsl:value-of select="@cislo"/></xsl:attribute>
        </xsl:element>
        <h2><xsl:value-of select="@cislo"/>. <xsl:value-of select="@typ"/> (<xsl:value-of select="rokvydani"/>)</h2>
        <xsl:apply-templates/>
    </xsl:template>
    
    <xsl:template match="titul">
        <h3><xsl:value-of select="@typ"/> - <xsl:value-of select="./nazev"/></h3>
        <xsl:apply-templates/>
    </xsl:template>
    
    <xsl:template match="hlavnirole">
        <div class="role">V hlavni roli: <xsl:value-of select="."/></div>
    </xsl:template>
    
    <xsl:template match="delka">
        <div class="delka">Delka: <xsl:value-of select="."/></div>
    </xsl:template>
    
    <xsl:template match="stopa">
        <h3><xsl:value-of select="./interpret"/> - <xsl:value-of select="nazev"/> 
        <xsl:text>[</xsl:text><xsl:value-of select="delka"/><xsl:text>]</xsl:text></h3>
    </xsl:template>
    
    <xsl:template match="nazev"></xsl:template>
    
</xsl:stylesheet>
